Bug 1405466 - mate-panel applets ignore locale settings
Summary: mate-panel applets ignore locale settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-session-manager
Version: 25
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-16 15:07 UTC by z117
Modified: 2017-05-15 04:27 UTC (History)
3 users (show)

Fixed In Version: mate-session-manager-1.16.1-3.fc25 mate-session-manager-1.18.0-3.fc26 mate-session-manager-1.16.1-3.el7 mate-session-manager-1.16.1-3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-10 04:00:10 UTC


Attachments (Terms of Use)
Mate clock applet (824.87 KB, image/png)
2016-12-16 20:56 UTC, Wolfgang Ulbrich
no flags Details

Description z117 2016-12-16 15:07:31 UTC
Description of problem:
After upgrade from F23 to F25 mate-panel applet menus are not localized anymore.

Version-Release number of selected component (if applicable):
mate-panel-1.16.0-2.fc25.x86_64

Steps to Reproduce:
1. Log in into mate desktop with locale ru_RU.utf8
2. Have mate-panel with some applets. Mine are Workspace Switcher, Window List, Notification Area, Clock.
3. Press right mouse button on any applet to access its context menu.

Actual results:
All menu items are in English.

Expected results:
All menu items are localized (Russian, in my case).

Additional info:
In the meantime, the context menu of the panel itself is localized.

Comment 1 Wolfgang Ulbrich 2016-12-16 20:55:18 UTC
I guess you're using lightdm and switched the language there?
I can confirm that some applets use the system language and not what is set for a user.
Fire up system-config-language and change system language to ru_RU.utf8 and restart the system. With new login all is in russian language, see my screenshot.

Comment 2 Wolfgang Ulbrich 2016-12-16 20:56:03 UTC
Created attachment 1232760 [details]
Mate clock applet

Comment 3 Wolfgang Ulbrich 2016-12-16 21:07:40 UTC
Btw. i see the same problem also with other languages.
If i choose english with system-config-language but my native language german with lightdm, than contextmenus are in english.
Not sure which component causes the issue.
Lightdm which do not setup all applications in a user session or mate-panel which reads  partial the system language.

Comment 4 z117 2016-12-17 12:12:25 UTC
That's not a solution. I would like to keep English as a system language.

Comment 5 Fedora Update System 2017-05-07 12:24:26 UTC
mate-session-manager-1.18.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8dac46d9cf

Comment 6 Björn 'besser82' Esser 2017-05-07 12:32:33 UTC
This is an issue with mate-session-manager.  Resetting bug to this component.

Comment 7 Fedora Update System 2017-05-07 12:35:45 UTC
mate-session-manager-1.16.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2d9f7d0dd6

Comment 8 Fedora Update System 2017-05-07 12:35:51 UTC
mate-session-manager-1.16.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fd5b2ce64

Comment 9 Fedora Update System 2017-05-07 13:28:14 UTC
mate-session-manager-1.16.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4427c935cb

Comment 10 Fedora Update System 2017-05-09 00:45:34 UTC
mate-session-manager-1.16.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2d9f7d0dd6

Comment 11 Fedora Update System 2017-05-09 02:37:47 UTC
mate-session-manager-1.18.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8dac46d9cf

Comment 12 Fedora Update System 2017-05-09 04:26:37 UTC
mate-session-manager-1.16.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4427c935cb

Comment 13 Fedora Update System 2017-05-09 06:01:04 UTC
mate-session-manager-1.16.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5fd5b2ce64

Comment 14 Fedora Update System 2017-05-10 04:00:10 UTC
mate-session-manager-1.16.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-05-12 14:12:03 UTC
mate-session-manager-1.18.0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-05-14 21:55:01 UTC
mate-session-manager-1.16.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-05-15 04:27:16 UTC
mate-session-manager-1.16.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.